summary refs log tree commit diff stats
path: root/ranger
diff options
context:
space:
mode:
authorPaweł Kraśnicki <paul.krasnicki@gmail.com>2018-12-26 21:16:17 +0100
committerPaweł Kraśnicki <paul.krasnicki@gmail.com>2019-01-18 17:16:04 +0100
commitc6786637c7d337dba73929cbdd066e38f0547855 (patch)
tree70fbcf0d452df41a692aa77acc374de7607c556a /ranger
parentd6cc99d96e5ea37b69123bf8fbfe3924c8f1976d (diff)
downloadranger-c6786637c7d337dba73929cbdd066e38f0547855.tar.gz
scope.sh: Add ePub previews (commented out)
Diffstat (limited to 'ranger')
-rwxr-xr-xranger/data/scope.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 6ff929d9..9adb5a84 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -140,6 +140,15 @@ handle_image() {
         #              -- "${FILE_PATH}" "${IMAGE_CACHE_PATH%.*}" \
         #         && exit 6 || exit 1;;
 
+        # ePub.
+        # Needs <https://github.com/marianosimone/epub-thumbnailer>.
+        # Alternative with more supported formats but more dependencies:
+        # <https://inigo.katxi.org/devel/ebook-thumbnailer>.
+        # application/epub+zip)
+        #     epub-thumbnailer \
+        #         "${FILE_PATH}" "${IMAGE_CACHE_PATH}" "${DEFAULT_SIZE%x*}" \
+        #         && exit 6 || exit 1;;
+
         # Preview archives using the first image inside.
         # (Very useful for comic book collections for example.)
         # application/zip|application/x-rar|application/x-7z-compressed|\